---
title: Setup
description: Instructions for the setup of VehiclesPlus.
published: true
date: 2024-04-07T10:58:30.366Z
tags: 
editor: markdown
dateCreated: 2023-02-16T21:10:41.502Z
---

# Plugin installation
**Supported Versions:** VehiclesPlus works on all Spigot/Paper versions from 1.12.x, **except 1.14.x**!

### Step 1: Check your Java version

VehiclesPlus requires **Java 11** or higher. Make sure your server is compatible with Java 11 or higher.

### Step 2: Download the latest version

Download the latest stable version from [SpigotMC](https://www.spigotmc.org/resources/vehiclesplus-1-12-1-20-4.70523/) or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-20-4.633).

Put the .jar file into the `/plugins` folder of your server.

### Step 3: Download the dependencies
> VehiclesPlus **requires** additional plugins to work correctly. The plugin __WON'T LOAD__ without them.
{.is-warning}

VehiclesPlus requires [ProtocolLib](https://www.spigotmc.org/resources/protocollib.1997/), [Vault](https://www.spigotmc.org/resources/vault.34315/) and an economy plugin (like [EssentialsX](https://essentialsx.net/downloads.html)) to work. Make sure you have them installed!

### Step 4: Download the example resourcepack
> VehiclesPlus uses items to display the vehicles in your server. **If you don't use the resourcepack, it's not possible to see the vehicles.**
{.is-info}

Download the correct resourcepack for your Minecraft version and test it out in your Minecraft client. 

If you are satisfied, you can install it into your Minecraft server:
1. Open the `server.properties` file.
2. Copy the link of the [Click here](#) button for your server version and paste it after `resource-pack=`.
3. Copy the SHA1 hash for your server version and paste it after `resource-pack-sha1=`.

| Version | Download | SHA1 Hash |
|:---:|:---:|---|
| 1.12.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.12.2.zip) | `49ce023a596b862debae4cc92f90a1abc4f277c7` |
| 1.13.2 - 1.14.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.13.2-1.14.4.zip) | `1d6186b2bfc118a0617ccbf72256684a38f6bb1f` |
| 1.15.2 - 1.16.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.15.2-1.16.1.zip) | `3770588e021d1bd5f5229840fbaccbb0e990c4b7` |
| 1.16.2 - 1.16.5 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.16.2-1.16.5.zip) | `f94b25ab2e0523f1efd12980c3e9ee097e5a1fe0` |
| 1.17 - 1.17.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.17-1.17.1.zip) | `22aeb5aa3f4615d7694d062d9cf8c64581895e99` |
| 1.18 - 1.18.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.18-1.18.2.zip) | `9dd11121c09e0d11538e479edc0f4e9262844157` |
| 1.19 - 1.19.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.19-1.19.2.zip) | `e5f20fffd5429da5950d4bccb9f1e314f66998bc` |
| 1.19.3 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.19.3.zip) | `2661b54d3feb7901f3035672550f4a69b9119099` |
| 1.19.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.19.4.zip) | `452a875a1bad577d89206377e8bce21d867556e6` |
| 1.20 - 1.20.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20-1.20.1.zip) | `1c4843d3a164f0465ba55d6dda3dc1d2a905a187` |
| 1.20.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20.2.zip) | `9372ea493536db0bd62da22d8dfa0a2db888a0fe` |
| 1.20.3 - 1.20.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20.3-1.20.4.zip) | `d28a9f0e85a6e4d4a2be3d29b1dc66b0db80d7cb` |
| 1.20.5 - 1.20.6 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20.5-1.20.6.zip) | `268b0150867b57989cd0dd34a302f45b0a38a3d1` |
| 1.21 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.21.zip) | `a129f6a6228bb8d2cdd67da6a758cff866ce1a97` |

> **The plugin is designed to make it easy to create your own vehicles.** We recommend making or buying your own vehicles to suit your server better.<br>
> If you want to buy one of the example vehicles included with the plugin, you can find them [here](https://polymart.org/team/sbdevelopment.93).
> {.is-warning}

### 4. Restart your server

Restart your server using the Restart button. Do ***NOT*** reload, it will break the plugin!

### 5. Have fun!

The plugin is now installed into your Minecraft server! Have fun with testing the plugin and creating your own vehicles.